Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface Portal

All Superinterfaces:
  PortalResource, PortalScopedObject

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface Portal
extends PortalResource

Interface `Portal` represents the definition of a portal as defined in the E-Business Control Center (EBCC).

Field Summary
`static String` | `DEFAULT_GROUP_PORTAL_DISPLAY_NAME_UNCUSTOMIZED` Deprecated. Constant to represent the uncustomized display name of the default group portal.
`static int` | `NAVBAR_ORIENTATION_HORIZONTAL` Deprecated. Constant to represent a navigation bar with horizontal orientation.
`static int` | `NAVBAR_ORIENTATION_UNSPECIFIED` Deprecated. Constant to represent a navigation bar with unspecified orientation.
`static int` | `NAVBAR_ORIENTATION_VERTICAL` Deprecated. Constant to represent a navigation bar with vertical orientation.
`static int` | `URL_CONTENT` Deprecated. Constant to represent a URL of type Content.
`static int` | `URL_FOOTER` Deprecated. Constant to represent a URL of type Footer.
`static int` | `URL_HEADER` Deprecated. Constant to represent a URL of type Header.
`static int` | `URL_NAVBAR_HORIZONTAL` Deprecated. Constant to represent a URL of Horizontal Navigation Bar.
`static int` | `URL_NAVBAR_VERTICAL` Deprecated. Constant to represent a URL of Vertical Navigation Bar.
`static int` | `URL_START_PAGE` Deprecated. Constant to represent a URL of Start Page.
`static int` | `URL_SUSPENDED` Deprecated. Constant to represent a URL of type Suspended.

Method Summary
`PortalPersonalization` | `getDefaultConfiguration()` Deprecated. Returns a `PortalPersonalization` representing the default personalization for this portal.
`String` | `getDescription()` Deprecated. Returns a short text description of this portal.
`PortalIdentifier` | `getIdentifier()` Deprecated. Returns a unique identifier for this portal.
`List` | `getLayouts()` Deprecated. Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection in this portal.
`Page` | `getPage(PageIdentifier pageId)` Deprecated. Returns the `Page` requested by identifier.
`List` | `getPages()` Deprecated. Returns a `List` of `Page` objects for the pages available in this portal.
`Portlet` | `getPortlet(PortletIdentifier portletId)` Deprecated. Returns the `Portlet` requested by identifier.
`List` | `getPortlets()` Deprecated. Returns a `List` of `Portlet` objects for the portlets available in this portal.
`List` | `getPropertySets()` Deprecated. Returns a `List` of `String` objects specifying the property sets to be made available to this portal.
`List` | `getSkins()` Deprecated. Returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal.
`String` | `getUrl(int urlType)` Deprecated. Returns a `String` URL for the URL type specified.
`String` | `getWebflowNamespace()` Deprecated. Returns the Webflow namespace to use for the portal navigation.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Field Detail

### DEFAULT_GROUP_PORTAL_DISPLAY_NAME_UNCUSTOMIZED

    public static final String DEFAULT_GROUP_PORTAL_DISPLAY_NAME_UNCUSTOMIZED

  Deprecated.
  Constant to represent the uncustomized display name of the default group portal.

  See Also:
    Constant Field Values

### NAVBAR_ORIENTATION_HORIZONTAL

    public static final int NAVBAR_ORIENTATION_HORIZONTAL

  Deprecated.
  Constant to represent a navigation bar with horizontal orientation.

  See Also:
    Constant Field Values

### NAVBAR_ORIENTATION_UNSPECIFIED

    public static final int NAVBAR_ORIENTATION_UNSPECIFIED

  Deprecated.
  Constant to represent a navigation bar with unspecified orientation.

  See Also:
    Constant Field Values

### NAVBAR_ORIENTATION_VERTICAL

    public static final int NAVBAR_ORIENTATION_VERTICAL

  Deprecated.
  Constant to represent a navigation bar with vertical orientation.

  See Also:
    Constant Field Values

### URL_CONTENT

    public static final int URL_CONTENT

  Deprecated.
  Constant to represent a URL of type Content.

  See Also:
    Constant Field Values

### URL_FOOTER

    public static final int URL_FOOTER

  Deprecated.
  Constant to represent a URL of type Footer.

  See Also:
    Constant Field Values

### URL_HEADER

    public static final int URL_HEADER

  Deprecated.
  Constant to represent a URL of type Header.

  See Also:
    Constant Field Values

### URL_NAVBAR_HORIZONTAL

    public static final int URL_NAVBAR_HORIZONTAL

  Deprecated.
  Constant to represent a URL of Horizontal Navigation Bar.

  See Also:
    Constant Field Values

### URL_NAVBAR_VERTICAL

    public static final int URL_NAVBAR_VERTICAL

  Deprecated.
  Constant to represent a URL of Vertical Navigation Bar.

  See Also:
    Constant Field Values

### URL_START_PAGE

    public static final int URL_START_PAGE

  Deprecated.
  Constant to represent a URL of Start Page.

  See Also:
    Constant Field Values

### URL_SUSPENDED

    public static final int URL_SUSPENDED

  Deprecated.
  Constant to represent a URL of type Suspended.

  See Also:
    Constant Field Values

Method Detail

### getDefaultConfiguration

    public PortalPersonalization getDefaultConfiguration()

  Deprecated.
  Returns a `PortalPersonalization` representing the default personalization for this portal.

  Returns:
    personalization of default group.

### getDescription

    public String getDescription()

  Deprecated.
  Returns a short text description of this portal.

  Returns:
    a description of this portal.

### getIdentifier

    public PortalIdentifier getIdentifier()

  Deprecated.
  Returns a unique identifier for this portal.

  Returns:
    unique identifier for this portal.

### getLayouts

    public List getLayouts()

  Deprecated.
  Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection in this portal.

  Note: This is the union of all the sets of layouts available on each page and not necessarily the list an end user will see.

  Returns:
    the set of layouts available in this portal.

### getPage

    public Page getPage(PageIdentifier pageId)

  Deprecated.
  Returns the `Page` requested by identifier.

  Parameters:
    `pageId` - identifier for page required.
  Returns:
    the page definition requested.
  Throws:
    `IllegalArgumentException` - if page is not defined.

### getPages

    public List getPages()

  Deprecated.
  Returns a `List` of `Page` objects for the pages available in this portal.

  Note: This is the set of pages available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of page available in this portal.

### getPortlet

    public Portlet getPortlet(PortletIdentifier portletId)

  Deprecated.
  Returns the `Portlet` requested by identifier.

  Parameters:
    `portletId` - identifier for portlet required.
  Returns:
    the portlet definition requested.
  Throws:
    `IllegalArgumentException` - if portlet is not defined.

### getPortlets

    public List getPortlets()

  Deprecated.
  Returns a `List` of `Portlet` objects for the portlets available in this portal.

  Note: This is the set of portlets available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of portlets available in this portal.

### getPropertySets

    public List getPropertySets()

  Deprecated.
  Returns a `List` of `String` objects specifying the property sets to be made available to this portal.

  Returns:
    property set names for this portal.

### getSkins

    public List getSkins()

  Deprecated.
  Returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal.

  Note: This is the set of skins available for group administrators to select from, as defined in the EBCC, and not necessarily the list an end user will see.

  Returns:
    the set of skins available in this portal.

### getUrl

    public String getUrl(int urlType)

  Deprecated.
  Returns a `String` URL for the URL type specified. Valid values are:

  `Portal.URL_CONTENT` `Portal.URL_HEADER` `Portal.URL_FOOTER` `Portal.URL_SUSPENDED` `Portal.URL_NAVBAR_VERTICAL` `Portal.URL_NAVBAR_HORIZONTAL` `Portal.URL_START_PAGE`

  Parameters:
    `urlType` - a constant specifying the URL type required.
  Returns:
    the URL defined for the type specified.

### getWebflowNamespace

    public String getWebflowNamespace()

  Deprecated.
  Returns the Webflow namespace to use for the portal navigation.

  Returns:
    a Webflow namespace for portal navigation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved